commandwindow
clear all
clc
bdclose all

F=0.085; % m^3/min
V=2.1; % m^3
k=0.04; % min^-1
steptime=0.15;
ufinal=2.5;

Kc=0.5;
P=Kc
tauI=0.3;
tauD=0.1;
I=Kc/tauI
D=Kc*tauD

open('processmodeldyn')
[t,x,y]=sim('processmodeldyn', [0 150])
plot(t,y)
hold on
ssvalue=ufinal*1
osas=length(y)
ssvalueg=ssvalue*ones(osas,1)
plot(t, ssvalueg)
xlabel('Time(mins)')
ylabel('Concentration(mol/m^3)')
legend('Dynamic response', 'Set point')